%define upstream_name    URI-Fetch
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl Module for Smart URI fetching/caching
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}/
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::ErrorHandler)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::RequiresInternet) >= 0.50.0
BuildRequires: perl(URI)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
Perl Module for Smart URI fetching/caching.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
SKIP_SAX_INSTALL=1 CFLAGS="$RPM_OPT_FLAGS" %__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/URI
%{_mandir}/*/*

%changelog
* Mon Mar 28 2022 umeabot <umeabot> 0.150.0-2.mga9
+ Revision: 1830466
- Mageia 9 Mass Rebuild

* Sat May 29 2021 tv <tv> 0.150.0-1.mga9
+ Revision: 1728793
- update to 0.15

* Thu May 27 2021 tv <tv> 0.140.0-1.mga9
+ Revision: 1728587
- update to 0.14

* Wed Feb 12 2020 umeabot <umeabot> 0.130.0-3.mga8
+ Revision: 1506885
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.130.0-2.mga7
+ Revision: 1287142
- Mageia 7 Mass Rebuild

* Fri Jul 28 2017 shlomif <shlomif> 0.130.0-1.mga7
+ Revision: 1131658
- New version 0.13 (arc)
- New version 0.13

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-3.mga6
+ Revision: 1035604
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.110.0-2.mga6
+ Revision: 968312
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 0.110.0-1.mga6
+ Revision: 852031
- update to 0.11

* Sat Oct 18 2014 umeabot <umeabot> 0.100.0-5.mga5
+ Revision: 788261
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-4.mga5
+ Revision: 742588
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.100.0-3.mga5
+ Revision: 732598
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-2.mga5
+ Revision: 686767
- Mageia 5 Mass Rebuild

* Tue Jun 24 2014 sander85 <sander85> 0.100.0-1.mga5
+ Revision: 639249
- update to 0.10

* Fri Oct 18 2013 umeabot <umeabot> 0.90.0-3.mga4
+ Revision: 515795
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 374553
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 16 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 52241
- update to 0.09

* Mon Jan 24 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 36620
- mageia rebuild
- imported package perl-URI-Fetch


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.80.0-1mdv2010.0
+ Revision: 401931
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.08-5mdv2009.0
+ Revision: 258727
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.08-4mdv2009.0
+ Revision: 246675
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.08-2mdv2008.1
+ Revision: 136364
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Mar 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-2mdv2007.0
+ Revision: 133516

* Fri Mar 02 2007 Shlomi Fish  0.08-2mdv2007.1
- Fixed to noarch.
- Fixed Requires to BuildRequires

* Thu Mar 01 2007 Shlomi Fish  0.08-1mdv2007.1
- Initial release. Adapted the Feed-Find spec for this one.

